Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.diagnostician
Class ECPDiagnostician

    java.lang.Object
      org.eclipse.emf.ecp.diagnostician.ECPDiagnostician

    public final class ECPDiagnostician

extends Object

The `ECPDiagnostician` will invoke the registered `ECPValidators`.

Author:
  jfaltermeier

Field Summary
`static ECPDiagnostician` | `INSTANCE` The instance of the `ECPDiagnostician`.

Method Summary
`boolean` | `canValidate(org.eclipse.emf.ecore.EObject eObject)` Whether the diagnostician can validate the given object.
`org.eclipse.emf.common.util.Diagnostic` | `validate(org.eclipse.emf.ecore.EObject eObject)` Validates the given `EObject`.
`org.eclipse.emf.common.util.Diagnostic` | `validate(org.eclipse.emf.ecore.EObject eObject, Map<?,?> contextEntries)` Validates the given `EObject`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ECPDiagnostician INSTANCE

  The instance of the `ECPDiagnostician`.

Method Detail

### validate

    public org.eclipse.emf.common.util.Diagnostic validate(org.eclipse.emf.ecore.EObject eObject)

  Validates the given `EObject`.

  Parameters:
    `eObject` - the object to validate.
  Returns:
    the diagnostic

### validate

    public org.eclipse.emf.common.util.Diagnostic validate(org.eclipse.emf.ecore.EObject eObject,
                                                           Map<?,?> contextEntries)

  Validates the given `EObject`.

  Parameters:
    `eObject` - the object to validate.
    `contextEntries` - context entries that may be needed for the validation
  Returns:
    the diagnostic

### canValidate

    public boolean canValidate(org.eclipse.emf.ecore.EObject eObject)

  Whether the diagnostician can validate the given object.

  Parameters:
    `eObject` - the object to check
  Returns:
    `true` if a validator is registered for the object, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.